%define pkgname xml-simple

Name: ruby-%pkgname
Version: 1.0.11
Release: alt2
Summary: A very simple API for XML processing
License: Ruby license
Group: Development/Ruby
Url: http://rubyforge.org/projects/xml-simple/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

Source: %pkgname-%version.tar
Patch: %name-%version-%release.patch

BuildArch: noarch

BuildRequires(pre): rpm-build-ruby
# Automatically added by buildreq on Mon Mar 31 2008 (-bi)
BuildRequires: ruby-module-etc ruby-tool-rdoc ruby-tool-setup

%description
Class XmlSimple offers an easy API to read and write XML. It is
a Ruby translation of Grant McLean's Perl module XML::Simple.
Simply put, it automatically converts XML documents into a Ruby
Hash.

%package doc
Summary: Documentation files for %name
Group: Documentation

%description doc
Documentation files for %name

%prep
%setup -n %pkgname-%version
%patch -p1
cp %_datadir/ruby-setup/setup.rb .

%build
%ruby_config
%ruby_build

%install
%ruby_install
%rdoc lib/

%files
%ruby_sitelibdir/*

%files doc
%ruby_ri_sitedir/XmlSimple*

%changelog
* Mon Mar 31 2008 Sir Raorn <raorn@altlinux.ru> 1.0.11-alt2
- Rebuilt with rpm-build-ruby

* Mon Jan 07 2008 Sir Raorn <raorn@altlinux.ru> 1.0.11-alt1
- Initial build for ALT Linux

